## csound-manual 5.10~dfsg

=== Makefile ===
# *************************************************************************
# Module: Makefile
# Purpose: Generates different versions of the Csound manual.
# Note: Modified from the Makefile example in the DocBook-Install-HOWTO.
#       You may need to change program names and paths to get this to work
#       on your system.
# *************************************************************************
BASENAME=Csound
BASENAMEOLPC=OLPCsound
VERSION=5.10

# Output Directories
HTML_DIR=html
HTMLXO_DIR=manualOLPC
HTML_ONE_DIR=singleHTML
HTMLHELP_DIR=htmlhelp
MANPAGES_DIR=manpages

# Stylesheets
ifneq "$(wildcard /usr/share/xml/docbook/stylesheet/nwalsh/*/docbook.xsl)" ""
 XSL_BASE_PATH=/usr/share/xml/docbook/stylesheet/nwalsh/
else ifneq "$(wildcard /usr/share/xml/docbook/stylesheet/nwalsh/*/*/docbook.xsl)" ""
# some distros version the docbook stylesheets
 text__=$(patsubst %manpages/docbook.xsl,%, $(wildcard /usr/share/xml/docbook/stylesheet/nwalsh/*/manpages/docbook.xsl))
 # We want the newest version
 XSL_BASE_PATH=$(word $(words $(text__)), $(sort $(text__)))
else
endif
XSL_HTML=xsl/customXHTMLchunk.xsl
XSL_HTML_ONECHUNK=xsl/customXHTMLOneChunk.xsl
XSL_PRINT=xsl/customPDF.xsl
XSL_HTMLHELP=xsl/customHTMLHelp.xsl
# Manpages don't need custom anything
XSL_MANPAGES=$(XSL_BASE_PATH)/manpages/docbook.xsl

COMMAND = command/desc.xml command/flags.xml command/preproc.xml \
	command/top.xml command/unifile.xml

CONTROL = control/clockctl.xml control/conditional.xml control/durctl.xml \
	control/fltkappearance.xml control/fltkcontainers.xml \
	control/fltkgeneral.xml control/fltkintro.xml control/fltkother.xml \
	control/fltkvaluators.xml control/invocat.xml \
	control/pgmctl.xml control/realtime.xml \
	control/reinitn.xml control/sensing.xml control/subinstr.xml \
	control/timeread.xml control/top.xml

XMLS = cscore/advancd.xml cscore/compile.xml \
	cscore/events.xml cscore/main.xml cscore/top.xml \
	examples/opcode1.xml \
	math/amp.xml math/artlogic.xml \
	math/mathfunc.xml math/opeqfunc.xml math/rndfunc.xml \
	math/top.xml math/trig.xml pitch/funcs.xml \
	pitch/top.xml pitch/tuning.xml \
	preface/copy.xml preface/preface.xml preface/top.xml \
	spectral/nonstand.xml spectral/realtime.xml spectral/top.xml \
	table/queries.xml table/readwrit.xml table/select.xml \
	table/top.xml zak/top.xml

MIDI = midi/convert.xml midi/extender.xml \
	midi/generic.xml midi/onoff.xml midi/output.xml \
	midi/realtime.xml midi/sliderbk.xml midi/top.xml \

MISC = 	misc/amp.xml misc/csound64.xml misc/formants.xml misc/glossary.xml \
	misc/pitch.xml misc/quickref.xml misc/sf2.xml \
	misc/top.xml misc/windows.xml

OPCODES = 	opcodes/0dbfs.xml	opcodes/abetarand.xml \
	opcodes/abexprnd.xml 	opcodes/abs.xml \
	opcodes/acauchy.xml	opcodes/active.xml	opcodes/adds.xml \
	opcodes/adsr.xml	opcodes/adsyn.xml	opcodes/adsynt.xml \
	opcodes/adsynt2.xml	opcodes/aexprand.xml	opcodes/aftouch.xml \
	opcodes/agauss.xml	opcodes/agogobel.xml	opcodes/alinrand.xml \
	opcodes/alpass.xml	opcodes/ampdb.xml	opcodes/ampdbfs.xml \
	opcodes/ampmidi.xml	opcodes/apcauchy.xml	opcodes/apoisson.xml \
	opcodes/apow.xml	opcodes/areson.xml	opcodes/aresonk.xml \
	opcodes/assign.xml	opcodes/atone.xml	opcodes/atonek.xml \
	opcodes/atonex.xml	opcodes/atrirand.xml	opcodes/aunirand.xml \
	opcodes/aweibull.xml	opcodes/babo.xml	opcodes/balance.xml \
	opcodes/bamboo.xml	opcodes/bbcutm.xml	opcodes/bbcuts.xml \
	opcodes/betarand.xml	opcodes/bexprnd.xml	opcodes/biquad.xml \
	opcodes/biquada.xml	opcodes/birnd.xml	opcodes/bqrez.xml \
	opcodes/butbp.xml	opcodes/butbr.xml	opcodes/buthp.xml \
	opcodes/butlp.xml	opcodes/butterbp.xml	opcodes/butterbr.xml \
	opcodes/butterhp.xml	opcodes/butterlp.xml	opcodes/button.xml \
	opcodes/buzz.xml	opcodes/cabasa.xml	opcodes/cauchy.xml \
	opcodes/ceil.xml	opcodes/cent.xml	opcodes/cggoto.xml \
	opcodes/chanctrl.xml	opcodes/changed.xml	opcodes/checkbox.xml \
	opcodes/cigoto.xml	opcodes/ckgoto.xml	opcodes/clear.xml \
	opcodes/clfilt.xml	opcodes/clip.xml	opcodes/clock.xml \
	opcodes/clockoff.xml	opcodes/clockon.xml	opcodes/cngoto.xml \
	opcodes/comb.xml	opcodes/control.xml	opcodes/convle.xml \
	opcodes/convolve.xml	opcodes/cos.xml	        opcodes/cosh.xml \
	opcodes/cosinv.xml	opcodes/cps2pch.xml	opcodes/cpsmidi.xml \
	opcodes/cpsmidib.xml	opcodes/cpsoct.xml	opcodes/cpspch.xml \
	opcodes/cpstmid.xml	opcodes/cpstun.xml	opcodes/cpstuni.xml \
	opcodes/cpsxpch.xml	opcodes/cpuprc.xml	opcodes/cross2.xml \
	opcodes/crunch.xml	opcodes/ctrl14.xml	opcodes/ctrl21.xml \
	opcodes/ctrl7.xml	opcodes/ctrlinit.xml	opcodes/cuserrnd.xml \
	opcodes/dam.xml		opcodes/db.xml		opcodes/dbamp.xml \
	opcodes/dbfsamp.xml	opcodes/dcblock.xml	opcodes/dconv.xml \
	opcodes/define.xml	opcodes/delay.xml	opcodes/delay1.xml \
	opcodes/delayr.xml	opcodes/delayw.xml	opcodes/deltap.xml \
	opcodes/deltap3.xml	opcodes/deltapi.xml	opcodes/deltapn.xml \
	opcodes/deltapx.xml	opcodes/deltapxw.xml	opcodes/diff.xml \
	opcodes/diskin.xml	opcodes/dispfft.xml	opcodes/display.xml \
	opcodes/distort1.xml	opcodes/divides.xml	opcodes/divz.xml \
	opcodes/dollar.xml	opcodes/downsamp.xml	opcodes/dripwater.xml \
	opcodes/dumpk.xml	opcodes/dumpk2.xml	opcodes/dumpk3.xml \
	opcodes/dumpk4.xml	opcodes/duserrnd.xml	opcodes/else.xml \
	opcodes/elseif.xml	opcodes/endif.xml	opcodes/endin.xml \
	opcodes/endop.xml	opcodes/envlpx.xml	opcodes/envlpxr.xml \
	opcodes/equals.xml	opcodes/event.xml	opcodes/exitnow.xml \
	opcodes/exp.xml		opcodes/expon.xml	opcodes/exprand.xml \
	opcodes/expseg.xml	opcodes/expsega.xml	opcodes/expsegr.xml \
	opcodes/filelen.xml	opcodes/filenchnls.xml	opcodes/filepeak.xml \
	opcodes/filesr.xml	opcodes/filter2.xml	opcodes/fin.xml \
	opcodes/fini.xml	opcodes/fink.xml	opcodes/fiopen.xml \
	opcodes/flanger.xml	opcodes/flashtxt.xml	opcodes/flbox.xml \
	opcodes/flbutbank.xml	opcodes/flbutton.xml	opcodes/flclosebutton.xml \
	opcodes/flcolor.xml 	opcodes/flcolor2.xml	opcodes/flcount.xml \
	opcodes/flexecbutton.xml 			opcodes/flgetsnap.xml \
	opcodes/flgroup.xml	opcodes/flgroup_end.xml	opcodes/flgroupend.xml \
	opcodes/flhide.xml	opcodes/fljoy.xml	\
	opcodes/flknob.xml	opcodes/fllabel.xml	opcodes/flloadsnap.xml \
	opcodes/flooper.xml	opcodes/floor.xml	opcodes/flpack.xml \
	opcodes/flpack_end.xml	opcodes/flpackend.xml	opcodes/flpanel.xml \
	opcodes/flpanel_end.xml	opcodes/flpanelend.xml	opcodes/flprintk.xml \
	opcodes/flprintk2.xml	opcodes/flroller.xml	opcodes/flrun.xml \
	opcodes/flsavesnap.xml	opcodes/flscroll.xml	opcodes/flscroll_end.xml \
	opcodes/flscrollend.xml	opcodes/flsetalign.xml	opcodes/flsetbox.xml \
	opcodes/flsetcolor.xml	opcodes/flsetcolor2.xml	opcodes/flsetfont.xml \
	opcodes/flsetposition.xml			opcodes/flsetsize.xml \
	opcodes/flsetsnap.xml 	opcodes/flsettext.xml	\
	opcodes/flsettextcolor.xml	opcodes/flsettextsize.xml \
	opcodes/flsettexttype.xml	opcodes/flsetval.xml	\
	opcodes/flsetvali.xml 	opcodes/ifdef.xml \
	opcodes/flshow.xml	opcodes/flslidbnk.xml	opcodes/flslider.xml \
	opcodes/fltabs.xml	opcodes/fltabs_end.xml	opcodes/fltabsend.xml \
	opcodes/fltext.xml	opcodes/flupdate.xml	opcodes/flvalue.xml \
	opcodes/flvkeybd.xml \
	opcodes/fmb3.xml	opcodes/fmbell.xml	opcodes/fmmetal.xml \
	opcodes/fmpercfl.xml	opcodes/fmrhode.xml	opcodes/fmvoice.xml \
	opcodes/fmwurlie.xml	opcodes/fof.xml	opcodes/fof2.xml \
	opcodes/fofilter.xml	opcodes/fog.xml	opcodes/fold.xml \
	opcodes/follow.xml	opcodes/follow2.xml	opcodes/foscil.xml \
	opcodes/foscili.xml	opcodes/fout.xml	opcodes/fouti.xml \
	opcodes/foutir.xml	opcodes/foutk.xml	opcodes/fprintks.xml \
	opcodes/fprints.xml	opcodes/frac.xml	opcodes/ftchnls.xml \
	opcodes/ftgen.xml	opcodes/ftlen.xml	opcodes/ftload.xml \
	opcodes/ftloadk.xml	opcodes/ftlptim.xml	opcodes/ftmorf.xml \
	opcodes/ftsave.xml	opcodes/ftsavek.xml	opcodes/ftsr.xml \
	opcodes/gain.xml	opcodes/gauss.xml	opcodes/gbuzz.xml \
	opcodes/gogobel.xml	opcodes/goto.xml	opcodes/grain.xml \
	opcodes/grain2.xml	opcodes/grain3.xml	opcodes/granule.xml \
	opcodes/greaterequal.xml	opcodes/greaterthan.xml	opcodes/guiro.xml \
	opcodes/harmon.xml	opcodes/hilbert.xml	opcodes/hrtfer.xml \
	opcodes/hsboscil.xml	opcodes/ibetarand.xml	opcodes/ibexprnd.xml \
	opcodes/icauchy.xml	opcodes/ictrl14.xml	opcodes/ictrl21.xml \
	opcodes/ictrl7.xml	opcodes/iexprand.xml	opcodes/if.xml \
	opcodes/pvsifd.xml	opcodes/igauss.xml	opcodes/igoto.xml \
	opcodes/ihold.xml	opcodes/ilinrand.xml	opcodes/imidic14.xml \
	opcodes/imidic21.xml	opcodes/imidic7.xml	opcodes/in.xml \
	opcodes/in32.xml	opcodes/inch.xml	opcodes/include.xml \
	opcodes/inh.xml	opcodes/init.xml		opcodes/initc14.xml \
	opcodes/initc21.xml	opcodes/initc7.xml	opcodes/ficlose.xml \
	opcodes/ino.xml		opcodes/inq.xml		opcodes/ins.xml \
	opcodes/instimek.xml	opcodes/instimes.xml	opcodes/instr.xml \
	opcodes/int.xml		opcodes/integ.xml	opcodes/interp.xml \
	opcodes/invalue.xml	opcodes/inx.xml		opcodes/inz.xml \
	opcodes/ioff.xml	opcodes/ion.xml		opcodes/iondur.xml \
	opcodes/iondur2.xml	opcodes/ioutat.xml	opcodes/ioutc.xml \
	opcodes/ioutc14.xml	opcodes/ioutpat.xml	opcodes/ioutpb.xml \
	opcodes/ioutpc.xml	opcodes/ipcauchy.xml	opcodes/ipoisson.xml \
	opcodes/ipow.xml	opcodes/is16b14.xml	opcodes/is32b14.xml \
	opcodes/islider16.xml	opcodes/islider32.xml	opcodes/islider64.xml \
	opcodes/islider8.xml	opcodes/itablecopy.xml	opcodes/itablegpw.xml \
	opcodes/itablemix.xml	opcodes/itablew.xml	opcodes/itrirand.xml \
	opcodes/iunirand.xml	opcodes/iweibull.xml	opcodes/jitter.xml \
	opcodes/jacktransport.xml \
	opcodes/jitter2.xml	opcodes/jspline.xml	opcodes/kbetarand.xml \
	opcodes/kbexprnd.xml	opcodes/kcauchy.xml	opcodes/kdump.xml \
	opcodes/kdump2.xml	opcodes/kdump3.xml	opcodes/kdump4.xml \
	opcodes/kexprand.xml	opcodes/kfilter2.xml	opcodes/kgauss.xml \
	opcodes/kgoto.xml	opcodes/klinrand.xml	opcodes/kon.xml \
	opcodes/koutat.xml	opcodes/koutc.xml	opcodes/koutc14.xml \
	opcodes/koutpat.xml	opcodes/koutpb.xml	opcodes/koutpc.xml \
	opcodes/kpcauchy.xml	opcodes/kpoisson.xml	opcodes/kpow.xml \
	opcodes/kr.xml		opcodes/kread.xml	opcodes/kread2.xml \
	opcodes/kread3.xml	opcodes/kread4.xml	opcodes/ksmps.xml \
	opcodes/ktableseg.xml	opcodes/ktrirand.xml	opcodes/kunirand.xml \
	opcodes/kweibull.xml	opcodes/lessequal.xml	opcodes/lessthan.xml \
	opcodes/lfo.xml		opcodes/limit.xml	opcodes/line.xml \
	opcodes/linen.xml	opcodes/linenr.xml	opcodes/lineto.xml \
	opcodes/linrand.xml	opcodes/linseg.xml	opcodes/linsegr.xml \
	opcodes/locsend.xml	opcodes/locsig.xml	opcodes/log.xml \
	opcodes/log10.xml	opcodes/logbtwo.xml	opcodes/loopseg.xml \
	opcodes/lorenz.xml	opcodes/loscil.xml	opcodes/loscil3.xml \
	opcodes/lowpass2.xml	opcodes/lowres.xml	opcodes/lowresx.xml \
	opcodes/lpf18.xml	opcodes/lpfreson.xml	opcodes/lphasor.xml \
	opcodes/lpinterp.xml	opcodes/lposcil.xml	opcodes/lposcil3.xml \
	opcodes/lpread.xml	opcodes/lpreson.xml	opcodes/lpshold.xml \
	opcodes/lpslot.xml	opcodes/mac.xml		opcodes/maca.xml \
	opcodes/madsr.xml	opcodes/mandel.xml	opcodes/mandol.xml \
	opcodes/marimba.xml	opcodes/massign.xml	opcodes/max_k.xml \
	opcodes/maxalloc.xml	opcodes/mclock.xml	opcodes/mdelay.xml \
	opcodes/metro.xml	opcodes/midic14.xml	opcodes/midic21.xml \
	opcodes/midic7.xml	opcodes/midichannelaftertouch.xml	\
	opcodes/midichn.xml 	opcodes/midicontrolchange.xml	\
	opcodes/midictrl.xml	opcodes/mididefault.xml \
	opcodes/midiin.xml	opcodes/midinoteoff.xml	opcodes/midinoteoncps.xml \
	opcodes/midinoteonkey.xml	opcodes/midinoteonoct.xml	\
	opcodes/midinoteonpch.xml	opcodes/midion.xml	\
	opcodes/midion2.xml	opcodes/midiout.xml	opcodes/midipitchbend.xml \
	opcodes/midipolyaftertouch.xml	opcodes/midiprogramchange.xml \
	opcodes/miditempo.xml	opcodes/mirror.xml	opcodes/modulus.xml \
	opcodes/moog.xml	opcodes/moogladder.xml	opcodes/moogvcf.xml \
	opcodes/moscil.xml	opcodes/mpulse.xml	opcodes/mrtmsg.xml \
	opcodes/multiplies.xml	opcodes/multitap.xml	opcodes/mute.xml \
	opcodes/mxadsr.xml	opcodes/nchnls.xml	opcodes/nestedap.xml \
	opcodes/nlfilt.xml	opcodes/noise.xml 	opcodes/date.xml \
	opcodes/noteoff.xml	opcodes/noteon.xml	opcodes/noteondur.xml \

## csound-manual 5.13~dfsg

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,10 @@
 # *************************************************************************
 BASENAME=Csound
 BASENAMEOLPC=OLPCsound
-VERSION=5.10
+VERSION=5.13
+
+# export PATH=$PATH:/home/andres/bin/fop-0.20.5/
+# export JAVA_HOME=/usr/lib/jvm/java-6-sun/
 
 # Output Directories
 HTML_DIR=html
@@ -71,6 +74,7 @@
 	opcodes/adsynt2.xml	opcodes/aexprand.xml	opcodes/aftouch.xml \
 	opcodes/agauss.xml	opcodes/agogobel.xml	opcodes/alinrand.xml \
 	opcodes/alpass.xml	opcodes/ampdb.xml	opcodes/ampdbfs.xml \
+	opcodes/ampmidid.xml \
 	opcodes/ampmidi.xml	opcodes/apcauchy.xml	opcodes/apoisson.xml \
 	opcodes/apow.xml	opcodes/areson.xml	opcodes/aresonk.xml \
 	opcodes/assign.xml	opcodes/atone.xml	opcodes/atonek.xml \
@@ -217,5 +221,3 @@
 	opcodes/moscil.xml	opcodes/mpulse.xml	opcodes/mrtmsg.xml \
 	opcodes/multiplies.xml	opcodes/multitap.xml	opcodes/mute.xml \
 	opcodes/mxadsr.xml	opcodes/nchnls.xml	opcodes/nestedap.xml \
-	opcodes/nlfilt.xml	opcodes/noise.xml 	opcodes/date.xml \
-	opcodes/noteoff.xml	opcodes/noteon.xml	opcodes/noteondur.xml \

=== debian/changelog ===
csound-manual (1:5.13~dfsg-1) unstable; urgency=low

  * New upstream release
   - Add Menno Knevel to the copyright file
   - Refresh patch 2000-stripped-opcodes.diff
   - Update copyright hints file
  * Update Vcs-* headers
  * Bump Standards-Version

 -- Felipe Sateler <fsateler@debian.org>  Mon, 01 Aug 2011 22:21:58 -0400

csound-manual (1:5.12~dfsg2-1) unstable; urgency=low

  [ Felipe Sateler ]
  * New upstream release
    - Refresh patches
  * Fix override disparity: this package is optional, not extra
  * Generalize spurious version removal in csound.1
  * Completely filter out the python opcodes, update copyright file
    accordingly
  * Update copyright years for the manual
  * Update copyright years on the debian subdir
  * Update copyright_hints file, no new licenses

  [ Jonas Smedegaard ]
  * Stop including local CDBS snippets or declare DEB_MAINTAINER_MODE:
    adopted in main cdbs now.
  * Declare package relations recursively expanded.
  * Refer to FSF website (not postal address) in rules file header, and
    bump copyright year.
  * Bump policy compliance to Standards Version 3.8.4.
  * Refresh patch 2000 with compacting quilt options --no-index --no-
    timestamps -pab.
  * Add DEP-3 header to patch 2000.
  * Fix update repackaging hints to use new
    DEB_UPSTREAM_REPACKAGE_EXCLUDES with ./ appended to each file path.
  * Update copyright_hints to newer format (to easier see actual
    licensing changes in recent upstream release.
  * Update copyright file to DEP5 draft 135 format; drop files section
    for no longer shipped CDBS snippets; bump a coyright year.
  * Use source format 3.0 (quilt), and stop including patchsys-quilt.mk.

 -- Felipe Sateler <fsateler@gmail.com>  Thu, 10 Jun 2010 16:27:37 -0400

csound-manual (1:5.10~dfsg-2) unstable; urgency=low

  * Rewrite copyright to use DEP5 r54 proposed machine-readable format.
    Mention files excluded from our redistributed source.
  * Strip bogus comment in changelog entry for 1:5.10~dfsg-1 about
    bad copyright/licensing:  The problem was fixed prior to release.
  * Update CDBS snippets:
    + Fix package-relations cleanup when using debhelper 7
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk
  * Use new fail-source-not-repackaged rule.
  * Fix double inclusion of copyright-check.mk.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jun 2009 11:22:55 +0200

csound-manual (1:5.10~dfsg-1) unstable; urgency=low

  [ Felipe Sateler ]
  * Adopt csound-doc. Closes: #473003
  * Split manual from csound source.
  * Note the new maintainers and git repositories.
  * Use epoch to allow upgrades from previous versions.
  * Do proper copyright notice.

  [ Jonas Smedegaard ]
  * Repackage to use CDBS.
  * Add README.source documenting use of Git and CDBS.
  * Rewrite debian/copyright to use new proposed format.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2009 10:10:56 +0200

=== debian/control ===
Source: csound-manual
Section: doc
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Build-Depends: cdbs (>= 0.4.72~),
 devscripts (>= 2.10.7~),
 debhelper,
 dh-buildinfo,
 xsltproc,
 docbook-xsl,
 docbook-xml
Standards-Version: 3.9.2
Uploaders: Felipe Sateler <fsateler@debian.org>, Jonas Smedegaard <dr@jones.dk>
Vcs-Git: git://anonscm.debian.org/collab-maint/csound-manual.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/csound-manual.git;a=summary
Homepage: http://www.csounds.com

Package: csound-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: ${cdbs:Suggests}
Description: documentation for csound
 This package includes the csound reference manual.
 .
 For more information on csound, see the csound package.

Package: csound-manpages
Architecture: all
Depends: ${misc:Depends}
Suggests: ${cdbs:Suggests}
Description: manual pages for csound
 This package contains the manpages for several csound programs.
 .
 For more information on csound, see the csound package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2007-2008 Felipe Sateler <fsateler@debian.org>
# Copyright © 2008-2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for CSound Reference Manual
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_URL = http://downloads.sourceforge.net/csound
DEB_UPSTREAM_TARBALL_BASENAME = Csound$(DEB_UPSTREAM_TARBALL_VERSION)-manual-src
DEB_UPSTREAM_TARBALL_MD5 = f14986002b04aabed2d01b098b7d1122

DEB_UPSTREAM_TARBALL_SRCDIR = manual

# Possibly non free soundfonts
DEB_UPSTREAM_REPACKAGE_EXCLUDES = ./examples/22Bassoon.sf2 ./examples/01hpschd.sf2

# Licensing status is not clear upstream
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./opcodes/py*.xml

# DEB_INSTALL_DOCS_ALL += authors.txt

pre-build clean:: fail-source-not-repackaged

build/csound-manpages:: manpages-stamp
manpages-stamp:
	$(MAKE) manpages
# Correct some flaws in the manpage
	sed -i -e '/\\\.csoundrc/d' manpages/csound.1
	sed -i -e 's/(e\\\.g\\\. in /(e\\\.g\\\. in \\\.csoundrc)\./' manpages/csound.1
	sed -i -e '/^[[:space:]]*5\.[0-9]\{2\}[[:space:]]*$$/d' manpages/csound.1
	touch $@

# Do not duplicate copyright information
common-post-build-indep::
	rm -f html/copying.txt
# generate authors.txt
# Disable it for now while automation is correctly handled
#	lynx -dump html/PrefaceHistory.html | \
#		iconv --from-code=ISO-8859-1 --to-code=UTF8  | \
#		sed -n -e '/^History/,/   from the/p' | \
#		sed -e 's/\[[0-9]\+\]//g' > authors.txt

clean::
	rm -f manpages-stamp
#	rm -f authors.txt

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , xsltproc

# Do not use shipped docbook
CDBS_BUILD_DEPENDS += , docbook-xsl, docbook-xml

# Use lynx to dump the contents of the html history
#CDBS_BUILD_DEPENDS += , lynx

# Needed (sometimes) at runtime
CDBS_SUGGESTS_ALL = csound
CDBS_SUGGESTS_csound-manpages = csound-utils

## csound-manual 6.02~dfsg

=== Makefile ===
--- 
+++ 
@@ -6,15 +6,13 @@
 #       on your system.
 # *************************************************************************
 BASENAME=Csound
-BASENAMEOLPC=OLPCsound
-VERSION=5.13
+VERSION=6.02
 
 # export PATH=$PATH:/home/andres/bin/fop-0.20.5/
 # export JAVA_HOME=/usr/lib/jvm/java-6-sun/
 
 # Output Directories
 HTML_DIR=html
-HTMLXO_DIR=manualOLPC
 HTML_ONE_DIR=singleHTML
 HTMLHELP_DIR=htmlhelp
 MANPAGES_DIR=manpages
@@ -93,7 +91,8 @@
 	opcodes/clfilt.xml	opcodes/clip.xml	opcodes/clock.xml \
 	opcodes/clockoff.xml	opcodes/clockon.xml	opcodes/cngoto.xml \
 	opcodes/comb.xml	opcodes/control.xml	opcodes/convle.xml \
-	opcodes/convolve.xml	opcodes/cos.xml	        opcodes/cosh.xml \
+	opcodes/convolve.xml	opcodes/copya2ftab.xml	opcodes/copyf2array.xml \
+	opcodes/cos.xml	opcodes/cosh.xml \
 	opcodes/cosinv.xml	opcodes/cps2pch.xml	opcodes/cpsmidi.xml \
 	opcodes/cpsmidib.xml	opcodes/cpsoct.xml	opcodes/cpspch.xml \
 	opcodes/cpstmid.xml	opcodes/cpstun.xml	opcodes/cpstuni.xml \
@@ -110,7 +109,8 @@
 	opcodes/distort1.xml	opcodes/divides.xml	opcodes/divz.xml \
 	opcodes/dollar.xml	opcodes/downsamp.xml	opcodes/dripwater.xml \
 	opcodes/dumpk.xml	opcodes/dumpk2.xml	opcodes/dumpk3.xml \
-	opcodes/dumpk4.xml	opcodes/duserrnd.xml	opcodes/else.xml \
+	opcodes/dumpk4.xml	opcodes/duserrnd.xml	opcodes/dust.xml \
+	opcodes/dust2.xml 	opcodes/else.xml \
 	opcodes/elseif.xml	opcodes/endif.xml	opcodes/endin.xml \
 	opcodes/endop.xml	opcodes/envlpx.xml	opcodes/envlpxr.xml \
 	opcodes/equals.xml	opcodes/event.xml	opcodes/exitnow.xml \
@@ -149,11 +149,14 @@
 	opcodes/follow.xml	opcodes/follow2.xml	opcodes/foscil.xml \
 	opcodes/foscili.xml	opcodes/fout.xml	opcodes/fouti.xml \
 	opcodes/foutir.xml	opcodes/foutk.xml	opcodes/fprintks.xml \
-	opcodes/fprints.xml	opcodes/frac.xml	opcodes/ftchnls.xml \
+	opcodes/fprints.xml	opcodes/frac.xml	opcodes/fractalnoise.xml \
+	opcodes/ftchnls.xml \
 	opcodes/ftgen.xml	opcodes/ftlen.xml	opcodes/ftload.xml \
 	opcodes/ftloadk.xml	opcodes/ftlptim.xml	opcodes/ftmorf.xml \
 	opcodes/ftsave.xml	opcodes/ftsavek.xml	opcodes/ftsr.xml \
-	opcodes/gain.xml	opcodes/gauss.xml	opcodes/gbuzz.xml \
+	opcodes/gain.xml	opcodes/gauss.xml	opcodes/gausstrig.xml \
+	opcodes/gbuzz.xml	opcodes/gendy.xml       opcodes/gendyc.xml \
+	opcodes/gendyx.xml \
 	opcodes/gogobel.xml	opcodes/goto.xml	opcodes/grain.xml \
 	opcodes/grain2.xml	opcodes/grain3.xml	opcodes/granule.xml \
 	opcodes/greaterequal.xml	opcodes/greaterthan.xml	opcodes/guiro.xml \
@@ -219,5 +222,3 @@
 	opcodes/miditempo.xml	opcodes/mirror.xml	opcodes/modulus.xml \
 	opcodes/moog.xml	opcodes/moogladder.xml	opcodes/moogvcf.xml \
 	opcodes/moscil.xml	opcodes/mpulse.xml	opcodes/mrtmsg.xml \
-	opcodes/multiplies.xml	opcodes/multitap.xml	opcodes/mute.xml \
-	opcodes/mxadsr.xml	opcodes/nchnls.xml	opcodes/nestedap.xml \

=== debian/changelog ===
csound-manual (1:6.02~dfsg-2) unstable; urgency=medium

  * New upstream version
    - Refresh patch
  * Remove manpages, no longer built upstream

 -- Felipe Sateler <fsateler@debian.org>  Fri, 31 Jan 2014 11:39:23 -0300

=== debian/control ===
Source: csound-manual
Section: doc
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 xsltproc,
 docbook-xsl,
 docbook-xml
Standards-Version: 3.9.5
Uploaders: Felipe Sateler <fsateler@debian.org>, Jonas Smedegaard <dr@jones.dk>
Vcs-Git: git://anonscm.debian.org/collab-maint/csound-manual.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/csound-manual.git;a=summary
Homepage: http://www.csounds.com

Package: csound-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: ${cdbs:Suggests}
Description: documentation for csound
 This package includes the csound reference manual.
 .
 For more information on csound, see the csound package.

=== debian/rules ===
--- 
+++ 
@@ -23,10 +23,10 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 DEB_UPSTREAM_URL = http://downloads.sourceforge.net/csound
-DEB_UPSTREAM_TARBALL_BASENAME = Csound$(DEB_UPSTREAM_TARBALL_VERSION)-manual-src
-DEB_UPSTREAM_TARBALL_MD5 = f14986002b04aabed2d01b098b7d1122
+DEB_UPSTREAM_TARBALL_BASENAME = manual_src
+DEB_UPSTREAM_TARBALL_MD5 = 6bbd6cd442c9822a9f52ad9cc53d6e2d
 
-DEB_UPSTREAM_TARBALL_SRCDIR = manual
+DEB_UPSTREAM_TARBALL_SRCDIR = manual6
 
 # Possibly non free soundfonts
 DEB_UPSTREAM_REPACKAGE_EXCLUDES = ./examples/22Bassoon.sf2 ./examples/01hpschd.sf2
@@ -34,18 +34,10 @@
 # Licensing status is not clear upstream
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./opcodes/py*.xml
 
+# No use for this
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./.gitignore ./.git/
+
 # DEB_INSTALL_DOCS_ALL += authors.txt
-
-pre-build clean:: fail-source-not-repackaged
-
-build/csound-manpages:: manpages-stamp
-manpages-stamp:
-	$(MAKE) manpages
-# Correct some flaws in the manpage
-	sed -i -e '/\\\.csoundrc/d' manpages/csound.1
-	sed -i -e 's/(e\\\.g\\\. in /(e\\\.g\\\. in \\\.csoundrc)\./' manpages/csound.1
-	sed -i -e '/^[[:space:]]*5\.[0-9]\{2\}[[:space:]]*$$/d' manpages/csound.1
-	touch $@
 
 # Do not duplicate copyright information
 common-post-build-indep::

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3

opts=uversionmangle=s/\.0$//,dversionmangle=s/(\.0)?\~dfsg[0-9]?$// \
	http://sf.net/csound/Csound([0-9\.]+)-manual-src\.tar\.gz

## csound-manual 6.07.0~dfsg

=== Makefile ===
# *************************************************************************
# Module: Makefile
# Purpose: Generates different versions of the Csound manual.
# Note: Modified from the Makefile example in the DocBook-Install-HOWTO.
#       You may need to change program names and paths to get this to work
#       on your system.
# *************************************************************************
BASENAME=Csound
VERSION=6.07

# export PATH=$PATH:/home/andres/bin/fop-0.20.5/
# export JAVA_HOME=/usr/lib/jvm/java-6-sun/

# Output Directories
HTML_DIR=html
HTML_ONE_DIR=singleHTML
HTMLHELP_DIR=htmlhelp
MANPAGES_DIR=manpages

# Stylesheets
ifneq "$(wildcard /usr/share/xml/docbook/stylesheet/nwalsh/*/docbook.xsl)" ""
 XSL_BASE_PATH=/usr/share/xml/docbook/stylesheet/nwalsh/
else ifneq "$(wildcard /usr/share/xml/docbook/stylesheet/nwalsh/*/*/docbook.xsl)" ""
# some distros version the docbook stylesheets
 text__=$(patsubst %manpages/docbook.xsl,%, $(wildcard /usr/share/xml/docbook/stylesheet/nwalsh/*/manpages/docbook.xsl))
 # We want the newest version
 XSL_BASE_PATH=$(word $(words $(text__)), $(sort $(text__)))
else
endif
XSL_HTML=xsl/customXHTMLchunk.xsl
XSL_HTML_ONECHUNK=xsl/customXHTMLOneChunk.xsl
XSL_PRINT=xsl/customPDF.xsl
XSL_HTMLHELP=xsl/customHTMLHelp.xsl
# Manpages don't need custom anything
XSL_MANPAGES=$(XSL_BASE_PATH)/manpages/docbook.xsl

COMMAND = command/desc.xml command/flags.xml command/preproc.xml \
	command/top.xml command/unifile.xml command/environment.xml \
	command/flagscategory.xml

CONTROL = control/clockctl.xml control/conditional.xml control/durctl.xml \
	control/fltkappearance.xml control/fltkcontainers.xml \
	control/fltkgeneral.xml control/fltkintro.xml control/fltkother.xml \
	control/fltkvaluators.xml control/invocat.xml \
	control/pgmctl.xml control/realtime.xml \
	control/reinitn.xml control/sensing.xml control/subinstr.xml \
	control/timeread.xml control/top.xml

XMLS = cscore/advancd.xml cscore/compile.xml \
	cscore/events.xml cscore/main.xml cscore/top.xml \
	math/amp.xml math/artlogic.xml math/linearalgebra.xml \
	math/mathfunc.xml math/opeqfunc.xml math/rndfunc.xml \
	math/top.xml math/trig.xml pitch/funcs.xml \
	pitch/top.xml pitch/tuning.xml \
	preface/copy.xml preface/preface.xml preface/top.xml \
	spectral/nonstand.xml spectral/realtime.xml spectral/top.xml \
	table/queries.xml table/readwrit.xml table/select.xml \
	table/top.xml zak/top.xml

MIDI = midi/convert.xml midi/extender.xml \
	midi/generic.xml midi/onoff.xml midi/output.xml \
	midi/realtime.xml midi/sliderbk.xml midi/top.xml \
	midi/input.xml midi/interop.xml midi/virtual.xml

MISC = 	misc/amp.xml misc/csound64.xml misc/formants.xml misc/glossary.xml \
	misc/pitch.xml misc/quickref.xml misc/sf2.xml misc/top.xml \
	misc/windows.xml misc/modalfreq.xml misc/examples.xml misc/quickref.xml \
	csbeats/example.xml csbeats/syntax.xml csbeats/top.xml deprecated/top.xml \
	experimental/top.xml imageopcodes/top.xml


OPCODES = opcodes/0dbfs.xml	opcodes/ATSadd.xml	opcodes/ATSaddnz.xml \
	opcodes/ATSbufread.xml	opcodes/ATScross.xml	opcodes/ATSinfo.xml \
	opcodes/ATSinterpread.xml  opcodes/ATSpartialtap.xml opcodes/ATSread.xml \
	opcodes/ATSreadnz.xml	opcodes/ATSsinnoi.xml opcodes/JackoAudioIn.xml \
	opcodes/JackoAudioInConnect.xml	opcodes/JackoAudioOut.xml \
	opcodes/JackoAudioOutConnect.xml	opcodes/JackoFreewheel.xml \
	opcodes/JackoInfo.xml	opcodes/JackoInit.xml \
	opcodes/JackoMidiInConnect.xml	opcodes/JackoMidiOut.xml \
	opcodes/JackoMidiOutConnect.xml	opcodes/JackoNoteOut.xml \
	opcodes/JackoOn.xml	opcodes/JackoTransport.xml \
	opcodes/OSCinit.xml	opcodes/OSClisten.xml	opcodes/OSCsend.xml \
	opcodes/STKBandedWG.xml \
	opcodes/STKBeeThree.xml	opcodes/STKBlowBotl.xml	opcodes/STKBlowHole.xml \
	opcodes/STKBowed.xml	opcodes/STKBrass.xml	opcodes/STKClarinet.xml \
	opcodes/STKDrummer.xml	opcodes/STKFMVoices.xml	opcodes/STKFlute.xml \
	opcodes/STKHevyMetl.xml	opcodes/STKMandolin.xml	opcodes/STKModalBar.xml \
	opcodes/STKMoog.xml	opcodes/STKPercFlut.xml	opcodes/STKPlucked.xml \
	opcodes/STKResonate.xml	opcodes/STKRhodey.xml	opcodes/STKSaxofony.xml \
	opcodes/STKShakers.xml	opcodes/STKSimple.xml	opcodes/STKSitar.xml \
	opcodes/STKStifKarp.xml	opcodes/STKTubeBell.xml	opcodes/STKVoicForm.xml \
	opcodes/STKWhistle.xml	opcodes/STKWurley.xml	opcodes/abetarand.xml \
	opcodes/abexprnd.xml	opcodes/abs.xml	opcodes/acauchy.xml \
	opcodes/active.xml	opcodes/adds.xml	opcodes/adsr.xml \
	opcodes/adsyn.xml	opcodes/adsynt.xml	opcodes/adsynt2.xml \
	opcodes/aexprand.xml	opcodes/aftouch.xml	opcodes/agauss.xml \
	opcodes/agogobel.xml	opcodes/alinrand.xml	opcodes/alpass.xml \
	opcodes/alwayson.xml	opcodes/ampdb.xml	opcodes/ampdbfs.xml \
	opcodes/ampmidi.xml	opcodes/ampmidid.xml	opcodes/apcauchy.xml \
	opcodes/apoisson.xml	opcodes/apow.xml	opcodes/areson.xml \
	opcodes/aresonk.xml	opcodes/array.xml	opcodes/assign.xml \
	opcodes/atone.xml	opcodes/atonek.xml	opcodes/atonex.xml \
	opcodes/atrirand.xml	opcodes/aunirand.xml	opcodes/aweibull.xml \
	opcodes/babo.xml	opcodes/balance.xml	opcodes/bamboo.xml \
	opcodes/barmodel.xml	opcodes/bbcutm.xml	opcodes/bbcuts.xml \
	opcodes/betarand.xml	opcodes/bexprnd.xml	opcodes/bformdec.xml \
	opcodes/bformdec1.xml	opcodes/bformenc.xml	opcodes/bformenc1.xml \
	opcodes/binit.xml	opcodes/biquad.xml	opcodes/biquada.xml \
	opcodes/birnd.xml	opcodes/bqrez.xml	opcodes/butbp.xml \
	opcodes/butbr.xml	opcodes/buthp.xml	opcodes/butlp.xml \
	opcodes/butterbp.xml	opcodes/butterbr.xml	opcodes/butterhp.xml \
	opcodes/butterlp.xml	opcodes/button.xml	opcodes/buzz.xml \
	opcodes/c2r.xml	opcodes/cabasa.xml	opcodes/cauchy.xml \
	opcodes/cauchyi.xml	opcodes/ceil.xml	opcodes/cell.xml \
	opcodes/cent.xml	opcodes/centroid.xml	opcodes/ceps.xml \
	opcodes/cepsinv.xml	opcodes/cggoto.xml	opcodes/chanctrl.xml \
	opcodes/changed.xml	opcodes/changed2.xml	opcodes/chani.xml \
	opcodes/chano.xml	opcodes/chebyshevpoly.xml opcodes/checkbox.xml \
	opcodes/chn.xml		opcodes/chnclear.xml	opcodes/chnexport.xml \
	opcodes/chnget.xml	opcodes/chnmix.xml	opcodes/chnparams.xml \
	opcodes/chnset.xml	opcodes/chuap.xml	opcodes/cigoto.xml \
	opcodes/ckgoto.xml	opcodes/clear.xml	opcodes/clfilt.xml \
	opcodes/clip.xml	opcodes/clock.xml	opcodes/clockoff.xml \
	opcodes/clockon.xml	opcodes/cmplxprod.xml	opcodes/cngoto.xml \
	opcodes/comb.xml	opcodes/combinv.xml	opcodes/compilecsd.xml \
	opcodes/compileorc.xml	opcodes/compilestr.xml	opcodes/compress.xml \
	opcodes/compress2.xml	opcodes/connect.xml	opcodes/control.xml \
	opcodes/convle.xml	opcodes/convolve.xml	opcodes/copya2ftab.xml \
	opcodes/copyf2array.xml	opcodes/cos.xml	opcodes/cosh.xml \
	opcodes/cosinv.xml	opcodes/cosseg.xml	opcodes/cossegb.xml \
	opcodes/cossegr.xml	opcodes/cps2pch.xml	opcodes/cpsmidi.xml \
	opcodes/cpsmidib.xml	opcodes/cpsmidinn.xml	opcodes/cpsoct.xml \
	opcodes/cpspch.xml	opcodes/cpstmid.xml	opcodes/cpstun.xml \
	opcodes/cpstuni.xml	opcodes/cpsxpch.xml	opcodes/cpumeter.xml \
	opcodes/cpuprc.xml	opcodes/cross2.xml	opcodes/crossfm.xml \
	opcodes/crunch.xml	opcodes/ctrl14.xml	opcodes/ctrl21.xml \
	opcodes/ctrl7.xml	opcodes/ctrlinit.xml	opcodes/cudanal.xml \
	opcodes/cudasliding.xml	opcodes/cudasynth.xml	opcodes/cuserrnd.xml \
	opcodes/dam.xml	opcodes/date.xml	opcodes/dates.xml \
	opcodes/db.xml	opcodes/dbamp.xml	opcodes/dbfsamp.xml \
	opcodes/dcblock.xml	opcodes/dcblock2.xml	opcodes/dconv.xml \
	opcodes/define.xml	opcodes/delay.xml	opcodes/delay1.xml \
	opcodes/delayk.xml	opcodes/delayr.xml	opcodes/delayw.xml \
	opcodes/deltap.xml	opcodes/deltap3.xml	opcodes/deltapi.xml \
	opcodes/deltapn.xml	opcodes/deltapx.xml	opcodes/deltapxw.xml \
	opcodes/denorm.xml	opcodes/diff.xml	opcodes/directory.xml \
	opcodes/diskgrain.xml	opcodes/diskin.xml	opcodes/diskin2.xml \
	opcodes/dispfft.xml	opcodes/display.xml	opcodes/distort.xml \
	opcodes/distort1.xml	opcodes/divides.xml	opcodes/divz.xml \
	opcodes/dollar.xml	opcodes/doppler.xml	opcodes/downsamp.xml \
	opcodes/dripwater.xml	opcodes/dssiactivate.xml \
	opcodes/dssiaudio.xml	opcodes/dssictls.xml	opcodes/dssiinit.xml \
	opcodes/dssilist.xml	opcodes/dumpk.xml	opcodes/dumpk2.xml \
	opcodes/dumpk3.xml	opcodes/dumpk4.xml	opcodes/duserrnd.xml \
	opcodes/dust.xml	opcodes/dust2.xml	opcodes/else.xml \
	opcodes/elseif.xml	opcodes/endif.xml	opcodes/endin.xml \
	opcodes/endop.xml	opcodes/envlpx.xml	opcodes/envlpxr.xml \
	opcodes/ephasor.xml	opcodes/eqfil.xml	opcodes/equals.xml \
	opcodes/evalstr.xml	opcodes/event.xml	opcodes/event_i.xml \
	opcodes/exciter.xml	opcodes/exitnow.xml	opcodes/exp.xml \
	opcodes/expcurve.xml	opcodes/expon.xml	opcodes/exprand.xml \
	opcodes/exprandi.xml	opcodes/expseg.xml	opcodes/expsega.xml \
	opcodes/expsegb.xml	opcodes/expsegba.xml	opcodes/expsegr.xml \
	opcodes/fareylen.xml	opcodes/fareyleni.xml	opcodes/faustaudio.xml \
	opcodes/faustcompile.xml opcodes/faustctl.xml	opcodes/faustgen.xml \
	opcodes/fft.xml	opcodes/ficlose.xml	opcodes/filebit.xml \
	opcodes/filelen.xml	opcodes/filenchnls.xml	opcodes/filepeak.xml \
	opcodes/filescal.xml	opcodes/filesr.xml	opcodes/filevalid.xml \
	opcodes/fillarray.xml	opcodes/filter2.xml	opcodes/fin.xml \
	opcodes/fini.xml	opcodes/fink.xml	opcodes/fiopen.xml \
	opcodes/flanger.xml	opcodes/flashtxt.xml	opcodes/flbox.xml \
	opcodes/flbutbank.xml	opcodes/flbutton.xml	opcodes/flclosebutton.xml \
	opcodes/flcolor.xml	opcodes/flcolor2.xml	opcodes/flcount.xml \
	opcodes/flexecbutton.xml opcodes/flgetsnap.xml	opcodes/flgroup.xml \
	opcodes/flgroup_end.xml	opcodes/flgroupend.xml	opcodes/flhide.xml \
	opcodes/flhvsbox.xml	opcodes/flhvsboxsetvalue.xml	opcodes/fljoy.xml \
	opcodes/flkeyin.xml	opcodes/flknob.xml	opcodes/fllabel.xml \
	opcodes/flloadsnap.xml	opcodes/flmouse.xml	opcodes/flooper.xml \
	opcodes/flooper2.xml	opcodes/floor.xml	opcodes/flpack.xml \
	opcodes/flpack_end.xml	opcodes/flpackend.xml	opcodes/flpanel.xml \
	opcodes/flpanel_end.xml	opcodes/flpanelend.xml	opcodes/flprintk.xml \
	opcodes/flprintk2.xml	opcodes/flroller.xml	opcodes/flrun.xml \
	opcodes/flsavesnap.xml	opcodes/flscroll.xml	opcodes/flscroll_end.xml \
	opcodes/flscrollend.xml	opcodes/flsetalign.xml	opcodes/flsetbox.xml \
	opcodes/flsetcolor.xml	opcodes/flsetcolor2.xml	opcodes/flsetfont.xml \
	opcodes/flsetposition.xml	opcodes/flsetsize.xml \
	opcodes/flsetsnap.xml	opcodes/flsetsnapgroup.xml \
	opcodes/flsettext.xml opcodes/flsettextcolor.xml \
	opcodes/flsettextsize.xml	opcodes/flsettexttype.xml \
	opcodes/flsetval.xml	opcodes/flsetvali.xml \
	opcodes/flshow.xml	opcodes/flslidbnk.xml	opcodes/flslidbnk2.xml \
	opcodes/flslidbnk2set.xml	opcodes/flslidbnk2setk.xml \
	opcodes/flslidbnkgethandle.xml	opcodes/flslidbnkset.xml \
	opcodes/flslidbnksetk.xml	opcodes/flslider.xml	opcodes/fltabs.xml \
	opcodes/fltabs_end.xml	opcodes/fltabsend.xml	opcodes/fltext.xml \
	opcodes/fluidAllOut.xml	opcodes/fluidCCi.xml	opcodes/fluidCCk.xml \
	opcodes/fluidControl.xml	opcodes/fluidEngine.xml \
	opcodes/fluidLoad.xml	opcodes/fluidNote.xml	opcodes/fluidOut.xml \
	opcodes/fluidProgramSelect.xml	opcodes/fluidSetInterpMethod.xml \
	opcodes/flupdate.xml	opcodes/flvalue.xml	opcodes/flvkeybd.xml \
	opcodes/flvslidbnk.xml	opcodes/flvslidbnk2.xml	opcodes/flxyin.xml \
	opcodes/fmb3.xml	opcodes/fmbell.xml	opcodes/fmmetal.xml \
	opcodes/fmpercfl.xml	opcodes/fmrhode.xml	opcodes/fmvoice.xml \
	opcodes/fmwurlie.xml	opcodes/fof.xml	opcodes/fof2.xml \
	opcodes/fofilter.xml	opcodes/fog.xml	opcodes/fold.xml \
	opcodes/follow.xml	opcodes/follow2.xml	opcodes/foscil.xml \
	opcodes/foscili.xml	opcodes/fout.xml	opcodes/fouti.xml \
	opcodes/foutir.xml	opcodes/foutk.xml	opcodes/fprintks.xml \
	opcodes/fprints.xml	opcodes/frac.xml	opcodes/fractalnoise.xml \
	opcodes/framebuffer.xml	opcodes/freeverb.xml	opcodes/ftchnls.xml \
	opcodes/ftconv.xml	opcodes/ftcps.xml	opcodes/ftfree.xml \
	opcodes/ftgen.xml	opcodes/ftgenonce.xml	opcodes/ftgentmp.xml \
	opcodes/ftlen.xml	opcodes/ftload.xml	opcodes/ftloadk.xml \
	opcodes/ftlptim.xml	opcodes/ftmorf.xml	opcodes/ftsamplebank.xml \
	opcodes/ftsave.xml	opcodes/ftsavek.xml	opcodes/ftsr.xml \

=== debian/changelog ===
csound-manual (1:6.07.0~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 6.07.0~dfsg
    - Refresh patches
    - Remove more python opcode references
  * Move Vcs-* urls to pkg-multimedia
  * Update copright format
  * Drop CDBS upstream handling in favor of uscan
  * Drop overrides accidentally copied from csound package
  * Bump debhelper compat level
  * Switch from CDBS to dh sequencer
  * Use gbp pq for patches
  * Do not install second copy of copyright file
  * Drop Jonas from uploaders. Thanks for all the work!

 -- Felipe Sateler <fsateler@debian.org>  Sun, 17 Jul 2016 11:38:28 -0400

## csound-manual 6.08.0~dfsg

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #       on your system.
 # *************************************************************************
 BASENAME=Csound
-VERSION=6.07
+VERSION=6.08
 
 # export PATH=$PATH:/home/andres/bin/fop-0.20.5/
 # export JAVA_HOME=/usr/lib/jvm/java-6-sun/
@@ -139,6 +139,7 @@
 	opcodes/dam.xml	opcodes/date.xml	opcodes/dates.xml \
 	opcodes/db.xml	opcodes/dbamp.xml	opcodes/dbfsamp.xml \
 	opcodes/dcblock.xml	opcodes/dcblock2.xml	opcodes/dconv.xml \
+	opcodes/dct.xml		opcodes/dctinv.xml \
 	opcodes/define.xml	opcodes/delay.xml	opcodes/delay1.xml \
 	opcodes/delayk.xml	opcodes/delayr.xml	opcodes/delayw.xml \
 	opcodes/deltap.xml	opcodes/deltap3.xml	opcodes/deltapi.xml \
@@ -212,4 +213,3 @@
 	opcodes/ftgen.xml	opcodes/ftgenonce.xml	opcodes/ftgentmp.xml \
 	opcodes/ftlen.xml	opcodes/ftload.xml	opcodes/ftloadk.xml \
 	opcodes/ftlptim.xml	opcodes/ftmorf.xml	opcodes/ftsamplebank.xml \
-	opcodes/ftsave.xml	opcodes/ftsavek.xml	opcodes/ftsr.xml \

=== debian/changelog ===
csound-manual (1:6.08.0~dfsg-1) unstable; urgency=medium

  * New upstream release
    - Remove deleted files from d/copyright
    - Refresh patches

 -- Felipe Sateler <fsateler@debian.org>  Mon, 12 Dec 2016 16:07:42 -0300

=== debian/control ===
Source: csound-manual
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Felipe Sateler <fsateler@debian.org>
Section: doc
Priority: optional
Build-Depends: devscripts,
               debhelper (>= 9),
               dh-buildinfo,
               xsltproc,
               docbook-xsl,
               docbook-xml
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/csound-manual.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/csound-manual.git
Homepage: http://www.csounds.com

Package: csound-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: csound
Description: documentation for csound
 This package includes the csound reference manual.
 .
 For more information on csound, see the csound package.

## csound-manual 6.09.0~dfsg

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #       on your system.
 # *************************************************************************
 BASENAME=Csound
-VERSION=6.08
+VERSION=6.09
 
 # export PATH=$PATH:/home/andres/bin/fop-0.20.5/
 # export JAVA_HOME=/usr/lib/jvm/java-6-sun/
@@ -144,7 +144,8 @@
 	opcodes/delayk.xml	opcodes/delayr.xml	opcodes/delayw.xml \
 	opcodes/deltap.xml	opcodes/deltap3.xml	opcodes/deltapi.xml \
 	opcodes/deltapn.xml	opcodes/deltapx.xml	opcodes/deltapxw.xml \
-	opcodes/denorm.xml	opcodes/diff.xml	opcodes/directory.xml \
+	opcodes/denorm.xml	opcodes/diff.xml	\
+	opcodes/diode_ladder.xml opcodes/directory.xml \
 	opcodes/diskgrain.xml	opcodes/diskin.xml	opcodes/diskin2.xml \
 	opcodes/dispfft.xml	opcodes/display.xml	opcodes/distort.xml \
 	opcodes/distort1.xml	opcodes/divides.xml	opcodes/divz.xml \

=== debian/changelog ===
csound-manual (1:6.09.0~dfsg-2) unstable; urgency=medium

  * Add missing build-dependencies (Closes: #871814)

 -- Felipe Sateler <fsateler@debian.org>  Fri, 11 Aug 2017 19:58:07 -0400

csound-manual (1:6.09.0~dfsg-1) unstable; urgency=medium

  * New upstream version 6.09.0~dfsg
    - Refresh patches
  * Bump standards version
  * Bump debhelper compat to 10

 -- Felipe Sateler <fsateler@debian.org>  Thu, 10 Aug 2017 19:59:50 -0400

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Section: doc
 Priority: optional
 Build-Depends: devscripts,
-               debhelper (>= 9),
+               debhelper (>= 10),
                dh-buildinfo,
+               python,
+               python-pygments,
                xsltproc,
                docbook-xsl,
                docbook-xml
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/csound-manual.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/csound-manual.git
 Homepage: http://www.csounds.com

## csound-manual 6.11.0~dfsg

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #       on your system.
 # *************************************************************************
 BASENAME=Csound
-VERSION=6.09
+VERSION=6.11.0
 
 # export PATH=$PATH:/home/andres/bin/fop-0.20.5/
 # export JAVA_HOME=/usr/lib/jvm/java-6-sun/
@@ -64,7 +64,7 @@
 
 MISC = 	misc/amp.xml misc/csound64.xml misc/formants.xml misc/glossary.xml \
 	misc/pitch.xml misc/quickref.xml misc/sf2.xml misc/top.xml \
-	misc/windows.xml misc/modalfreq.xml misc/examples.xml misc/quickref.xml \
+	misc/windows.xml misc/modalfreq.xml misc/examples.xml \
 	csbeats/example.xml csbeats/syntax.xml csbeats/top.xml deprecated/top.xml \
 	experimental/top.xml imageopcodes/top.xml

=== debian/changelog ===
csound-manual (1:6.11.0~dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org
  * New upstream version 6.11.0~dfsg
  * Refresh patches
  * Add Rules-Requires-Root: no. We don't need root for building
  * Drop unused build-dependency devscripts
  * Bump debhelper compat to 11.
    Also switch to depending on debhelper-compat virtual package
  * Bump Standards-Version to 4.2.1 (no changes)
  * Remove unmatched entries in d/copyright

 -- Felipe Sateler <fsateler@debian.org>  Sun, 16 Sep 2018 10:54:11 -0300

## csound-manual 6.12.0~dfsg

=== debian/changelog ===
csound-manual (1:6.12.0~dfsg-2) unstable; urgency=medium

  * Fix FTBFS due to newer python-pygments.
    Score statements are now a 2-tuple instead of a 3-tuple (Closes: #918560)

 -- Felipe Sateler <fsateler@debian.org>  Fri, 11 Jan 2019 20:08:47 -0300

csound-manual (1:6.12.0~dfsg-1) unstable; urgency=medium

  * New upstream version 6.12.0~dfsg

 -- Felipe Sateler <fsateler@debian.org>  Wed, 21 Nov 2018 22:51:57 -0300

=== debian/control ===
Source: csound-manual
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Felipe Sateler <fsateler@debian.org>
Section: doc
Priority: optional
Build-Depends: debhelper-compat (= 11),
               dh-buildinfo,
               python,
               python-pygments,
               xsltproc,
               docbook-xsl,
               docbook-xml
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/multimedia-team/csound-manual
Vcs-Git: https://salsa.debian.org/multimedia-team/csound-manual.git
Homepage: http://www.csounds.com
Rules-Requires-Root: no

Package: csound-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: csound
Description: documentation for csound
 This package includes the csound reference manual.
 .
 For more information on csound, see the csound package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2007-2008 Felipe Sateler <fsateler@debian.org>
# Copyright © 2008-2010 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for CSound Reference Manual
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

%:
	dh $@


override_dh_auto_build:
	dh_auto_build
	rm html/copying.txt

## csound-manual 6.14.0~dfsg

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #       on your system.
 # *************************************************************************
 BASENAME=Csound
-VERSION=6.11.0
+VERSION=6.14.0
 
 # export PATH=$PATH:/home/andres/bin/fop-0.20.5/
 # export JAVA_HOME=/usr/lib/jvm/java-6-sun/

=== debian/changelog ===
csound-manual (1:6.14.0~dfsg-1) unstable; urgency=medium

  * New upstream version 6.14.0~dfsg
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.5.0
    + csound-doc: Add Multi-Arch: foreign
    + Build with python 3 (Closes: #936348, #942921)
    + Add me as uploader
    + Update homepage
  * d/copyright:
    + Update source URL
    + Add myself to the d/ section
  * d/patches:
    + Drop Fix-FTBFS-due-to-newer-python-pygments.patch
    + Add Build_with_python3.patch
  * d/rules: Use the https protocol

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 05 Apr 2020 11:11:55 -0400

=== debian/control ===
Source: csound-manual
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Felipe Sateler <fsateler@debian.org>
Section: doc
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-buildinfo,
               python3,
               python3-pygments,
               xsltproc,
               docbook-xsl,
               docbook-xml
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/csound-manual
Vcs-Git: https://salsa.debian.org/multimedia-team/csound-manual.git
Homepage: https://csound.com/
Rules-Requires-Root: no

Package: csound-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: csound
Description: documentation for csound
 This package includes the csound reference manual.
 .
 For more information on csound, see the csound package.
